summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:35:00 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:35:00 -0400
commit60af1b051a3a25f93b51f32002342b57369f328a (patch)
tree466c956c22aac3beec0f96acf7a90151b5fb157b /graphics
parent8c16dbcf317ca08012fcaa29bf318e3de76ba560 (diff)
downloadslackbuilds-60af1b051a3a25f93b51f32002342b57369f328a.tar.gz
slackbuilds-60af1b051a3a25f93b51f32002342b57369f328a.tar.xz
graphics/goocanvas: Fixed for bash4.
Diffstat (limited to 'graphics')
-rw-r--r--graphics/goocanvas/goocanvas.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/graphics/goocanvas/goocanvas.SlackBuild b/graphics/goocanvas/goocanvas.SlackBuild
index 244a82b1d3..8feae931ba 100644
--- a/graphics/goocanvas/goocanvas.SlackBuild
+++ b/graphics/goocanvas/goocanvas.SlackBuild
@@ -80,12 +80,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cd $TMP/$PRGNAM-$VERSION